Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class ClosureToMapPopulator

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          griffon.util.ClosureToMapPopulator

    @SuppressWarnings("unchecked")
    public class ClosureToMapPopulator
    extends GroovyObjectSupport

A simple class that takes method invocations and property setters and populates the arguments of these into the supplied map ignoring null values.

Authors:
  Graeme Rocher (Grails 1.2)

Since:
  0.9.1

Field Summary
`private Map` | `map`

Constructor Summary
`ClosureToMapPopulator(Map theMap)`
`ClosureToMapPopulator()`

Method Summary
`Object` | `invokeMethod(String name, Object o)`
`Map` | `populate(Closure callable)`
`void` | `setProperty(String name, Object o)`

Methods inherited from class GroovyObjectSupport
setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### map

    private Map map

Constructor Detail

### ClosureToMapPopulator

    public ClosureToMapPopulator(Map theMap)

### ClosureToMapPopulator

    public ClosureToMapPopulator()

Method Detail

### invokeMethod

    @Override
    public Object invokeMethod(String name, Object o)

### populate

    public Map populate(Closure callable)

### setProperty

    @Override
    public void setProperty(String name, Object o)

Groovy Documentation